Skip to main content
GET
/
api
/
v1
/
llm
/
files
/
{file_id}
Python (SDK)
from mka1 import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.llm.files.get(file_id="file-abc123")

    # Handle response
    print(res)
{
  "id": "file-abc123",
  "object": "file",
  "bytes": 125000,
  "created_at": 1704067200,
  "filename": "product-manual.pdf",
  "purpose": "assistants",
  "status": "processed"
}

Authorizations

Authorization
string
header
required

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Path Parameters

file_id
string
required

Response

200 - application/json

OK

id
string
required

The file identifier

bytes
integer
required

The size of the file in bytes

Required range: -9007199254740991 <= x <= 9007199254740991
created_at
integer
required

Unix timestamp when the file was created

Required range: -9007199254740991 <= x <= 9007199254740991
filename
string
required

The name of the file

purpose
enum<string>
required

The intended purpose of the file

Available options:
assistants,
batch,
fine-tune,
vision,
user_data,
evals
object
any
default:file
expires_at
integer | null

Unix timestamp when the file expires

Required range: -9007199254740991 <= x <= 9007199254740991
status
enum<string>

DEPRECATED: File processing status

Available options:
uploaded,
processed,
error
status_details
string

DEPRECATED: Details about file status